## NAS Swi Get Status request NAS Swi Get Status request |

## Functions

QmiMessageNasSwiGetStatusOutput * | qmi_message_nas_swi_get_status_output_ref ()
void | qmi_message_nas_swi_get_status_output_unref ()
gboolean | qmi_message_nas_swi_get_status_output_get_result ()
gboolean | qmi_message_nas_swi_get_status_output_get_common_info ()
gboolean | qmi_message_nas_swi_get_status_output_get_lte_info ()
void | qmi_client_nas_swi_get_status ()
QmiMessageNasSwiGetStatusOutput * | qmi_client_nas_swi_get_status_finish ()

## Types and Values

| QmiMessageNasSwiGetStatusOutput

## Object Hierarchy

        GBoxed
        ╰── QmiMessageNasSwiGetStatusOutput

## Description

## Functions

### qmi_message_nas_swi_get_status_output_ref ()

    QmiMessageNasSwiGetStatusOutput *
    qmi_message_nas_swi_get_status_output_ref
                                   (QmiMessageNasSwiGetStatusOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageNasSwiGetStatusOutput. |

#### Returns

the new reference to `self` .

Since: 1.24

### qmi_message_nas_swi_get_status_output_unref ()

    void
    qmi_message_nas_swi_get_status_output_unref
                                   (QmiMessageNasSwiGetStatusOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageNasSwiGetStatusOutput. |

Since: 1.24

### qmi_message_nas_swi_get_status_output_get_result ()

    gboolean
    qmi_message_nas_swi_get_status_output_get_result
                                   (QmiMessageNasSwiGetStatusOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageNasSwiGetStatusOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.24

### qmi_message_nas_swi_get_status_output_get_common_info ()

    gboolean
    qmi_message_nas_swi_get_status_output_get_common_info
                                   (QmiMessageNasSwiGetStatusOutput *self,
                                    guint8 *value_common_info_temperature,
                                    QmiNasSwiModemMode *value_common_info_modem_mode,
                                    QmiNasSwiSystemMode *value_common_info_system_mode,
                                    QmiNasSwiImsRegState *value_common_info_ims_registration_state,
                                    QmiNasSwiPsState *value_common_info_packet_service_state,
                                    GError **error);

Get the 'Common Info' field from `self` .

#### Parameters

self | a QmiMessageNasSwiGetStatusOutput. |
value_common_info_temperature | a placeholder for the output guint8, or `NULL` if not required. | [out]
value_common_info_modem_mode | a placeholder for the output QmiNasSwiModemMode, or `NULL` if not required. | [out]
value_common_info_system_mode | a placeholder for the output QmiNasSwiSystemMode, or `NULL` if not required. | [out]
value_common_info_ims_registration_state | a placeholder for the output QmiNasSwiImsRegState, or `NULL` if not required. | [out]
value_common_info_packet_service_state | a placeholder for the output QmiNasSwiPsState, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.24

### qmi_message_nas_swi_get_status_output_get_lte_info ()

    gboolean
    qmi_message_nas_swi_get_status_output_get_lte_info
                                   (QmiMessageNasSwiGetStatusOutput *self,
                                    QmiNasActiveBand *value_lte_info_band,
                                    QmiNasDLBandwidth *value_lte_info_bandwidth,
                                    guint16 *value_lte_info_rx_channel,
                                    guint16 *value_lte_info_tx_channel,
                                    QmiNasSwiEmmState *value_lte_info_emm_state,
                                    guint8 *value_lte_info_emm_sub_state,
                                    QmiNasSwiEmmConnectionState *value_lte_info_emm_connection_state,
                                    GError **error);

Get the 'LTE Info' field from `self` .

#### Parameters

self | a QmiMessageNasSwiGetStatusOutput. |
value_lte_info_band | a placeholder for the output QmiNasActiveBand, or `NULL` if not required. | [out]
value_lte_info_bandwidth | a placeholder for the output QmiNasDLBandwidth, or `NULL` if not required. | [out]
value_lte_info_rx_channel | a placeholder for the output guint16, or `NULL` if not required. | [out]
value_lte_info_tx_channel | a placeholder for the output guint16, or `NULL` if not required. | [out]
value_lte_info_emm_state | a placeholder for the output QmiNasSwiEmmState, or `NULL` if not required. | [out]
value_lte_info_emm_sub_state | a placeholder for the output guint8, or `NULL` if not required. | [out]
value_lte_info_emm_connection_state | a placeholder for the output QmiNasSwiEmmConnectionState, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.24

### qmi_client_nas_swi_get_status ()

    void
    qmi_client_nas_swi_get_status (QmiClientNas *self,
                                   gpointer unused,
                                   guint timeout,
                                   GCancellable *cancellable,
                                   GAsyncReadyCallback callback,
                                   gpointer user_data);

Asynchronously sends a Swi Get Status request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_nas_swi_get_status_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientNas. |
unused | `NULL`. This message doesn't have any input bundle. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.24

### qmi_client_nas_swi_get_status_finish ()

    QmiMessageNasSwiGetStatusOutput *
    qmi_client_nas_swi_get_status_finish (QmiClientNas *self,
                                          GAsyncResult *res,
                                          GError **error);

Finishes an async operation started with `qmi_client_nas_swi_get_status()`.

#### Parameters

self | a QmiClientNas. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_nas_swi_get_status()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageNasSwiGetStatusOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_nas_swi_get_status_output_unref()`.

Since: 1.24

## Types and Values

### QmiMessageNasSwiGetStatusOutput

    typedef struct _QmiMessageNasSwiGetStatusOutput QmiMessageNasSwiGetStatusOutput;

The QmiMessageNasSwiGetStatusOutput structure contains private data and should only be accessed using the provided API.

Since: 1.24